Subject: xfce 4.18 issues: gsettings, icons missing, and logout need long time

From: 宋文武 <[email-masked]>
Date: Sun, 29 Jan 2023 11:08:33 +0800

> [...]
>
> Hello Feng Shu and Michael Rohleder, I have create a wip-xfce branch and
> applied all patches: They're all LGTM, and I will merge it after some
> tests later.  Thank you!
>

Pushed!

During my tests, I find some issues though:

1. in xfce4-appearance-settings, switch the theme to greybird-dark will
kill it, with output:
```
(xfce4-appearance-settings:13788): Gtk-WARNING **: 10:53:21.078: Could not load a pixbuf from /org/gtk/libgtk/theme/Adwaita/assets/check-symbolic.svg.
This may indicate that pixbuf loaders or the mime database could not be found.

(xfce4-appearance-settings:13788): GLib-GIO-ERROR **: 10:53:23.264: Settings schema 'org.gnome.desktop.interface' does not contain a key named 'color-scheme'
```
I think this is due to our gsettings-desktop-schemas is old.

2. some icons are missing, and by default there is no pixbuf loader for
svg.  With a manually set GDK_PIXBUF_MODULE_FILE, I get better result
with elementary-xfce-icon-theme (the adwaita icon themes still missing
some icons).

3. logout via xfce4-session-logout will wait more about 30s for me,
sometimes it does logout immediately, no idea...

4. mousepad output:
Mousepad-Message: 11:00:34.614: Plugin directory '/gnu/store/0m4rqqn3gxwg6mafhccqjwwvqdz1a5sr-mousepad-0.5.10/lib/mousepad/plugins' not found
GLib-GIO-Message: 11:00:34.614: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

The default gsettings backend is dconf, I guess some applications like
mousepad need fix to enable dconf or use the keyfile backend for
gsettings...

I now open a bug for thoes issues.